Skip to navigation

Bulk create, update, and delete Standardized Flex Incentives

View as Markdown
This endpoint supports multiple operations for Standard Flex Incentives. Operations can be performed against single incentives, or multiple incentives

Authentication

x-api-keystring

Application API Scope — server-to-server, sent in the x-api-key header. See Authentication.

OR
authorizationstring

Storefront API Scope — client-side, scoped to one customer, sent as a signature in the authorization header. See Authentication.

Path parameters

offer_profile_idstringRequired

Request

This endpoint expects an object.
createlist of objectsOptional
A list of StandardFlexIncentiveCreateRequest objects
updatelist of objectsOptional
A lisit of StandardFlexIncentiveUpdateRequest objects
deletelist of stringsOptional

A list of public_ids for SFIs that will be deleted

Response

200

Errors

400
Bad Request Error